%define version 2.2
Summary: The DansGuardian Anti-Virus Plugin
Name: DansGuardian-Virus
Version: %{version}
Release: 1
Copyright: GPL
Group: Applications/Daemon
URL: http://www.pcxperience.org/dgvirus/
Vendor: Xperience, Inc.
Packager: James A. Pattie <james@pcxperience.com>
BuildRoot: /var/tmp/dansguardian-virus-%{version}-buildroot/
BuildRequires: perl >= 5.6, gcc, make, patch
Requires: perl >= 5.6, chkconfig, DansGuardian-Virus-Scripts >= 1.04, perl-Mail-Sender >= 0.8.00
Obsoletes: DansGuardian, dansguardian-virus

%define DGVersion 2.5.3
%define DGRelease 4

Provides: DansGuardian=%{DGVersion}-%{DGRelease}

Source0: DansGuardian-%{DGVersion}-%{DGRelease}.source.tar.gz
Patch10: DansGuardian-%{DGVersion}-%{DGRelease}-AntiVirus-%{version}.patch
Patch20: DansGuardian-%{DGVersion}-%{DGRelease}-AntiVirus-2.1-language.patch
Patch25: DansGuardian-%{DGVersion}-%{DGRelease}-logrotation.patch
Patch30: linux.in-rpmfixup.patch

%description
This is DansGuardian with my Anti-Virus Plugin integrated into it.
.

%prep
%setup -q -n DansGuardian-%{DGVersion}

# apply the AntiVirus patch.
%patch10 -p1

# apply the language patch.
%patch20 -p1

# apply the logrotation sleep patch.
%patch25 -p1

# fixup the autoconf/linux.in file
cd autoconf
%patch30

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --sysconfdir=/etc/dansguardian/ --sysvdir=/etc/rc.d/init.d/ --cgidir=/var/www/cgi-bin/
make

%clean
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/logrotate.d
mkdir -p $RPM_BUILD_ROOT/var/log/dansguardian
make PREFIX=$RPM_BUILD_ROOT install

find $RPM_BUILD_ROOT/ -type f -print |
	sed "s@^$RPM_BUILD_ROOT@@g" |
        grep -v "\.conf" |
	grep -v "banned" |
	grep -v "exception" |
	grep -v "pics" |
	grep -v "template\.html" |
	grep -v "weightedphraselist" |
	grep -v "var\/log\/dansguardian" |
	grep -v "messages" |
	grep -v "contentregexplist" |
	grep -v "languages" |
        grep -v "phraselists" > dansguardian-virus-%{version}-filelist
if [ "$(cat dansguardian-virus-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%pre

%post
chkconfig --add dansguardian
chkconfig --level 2345 dansguardian on
echo "After modifying /etc/dansguardian/dansguardian.conf,"
echo "and /etc/dansguardian/virusscanner.conf"
echo "  run service dansguardian start"
echo "  to activate DansGuardian."

%preun
if [ $1 = 0 ]; then
  # we are being deleted, not upgraded
  service dansguardian stop >/dev/null 2>&1
  chkconfig dansguardian off
  chkconfig --del dansguardian
fi
exit 0

%postun
#if [ "$1" -ge "1" ]; then
#  # we are being upgrade/replaced, not deleted
#  service dansguardian restart >/dev/null 2>&1
#fi
exit 0

%files -f dansguardian-virus-%{version}-filelist
%defattr(-,root,root)
%doc README
%doc AntiVirusINSTALL
%doc LICENSE
%doc INSTALL
%dir /etc/dansguardian
%config(noreplace) /etc/dansguardian/dansguardian.conf
%config(noreplace) /etc/dansguardian/virusscanner.conf

%config(noreplace) /etc/dansguardian/bannedextensionlist
%config(noreplace) /etc/dansguardian/bannediplist
%config(noreplace) /etc/dansguardian/bannedmimetypelist
%config(noreplace) /etc/dansguardian/bannedphraselist
%config(noreplace) /etc/dansguardian/bannedregexpurllist
%config(noreplace) /etc/dansguardian/bannedsitelist
%config(noreplace) /etc/dansguardian/bannedurllist
%config(noreplace) /etc/dansguardian/banneduserlist

%config(noreplace) /etc/dansguardian/exceptioniplist
%config(noreplace) /etc/dansguardian/exceptionphraselist
%config(noreplace) /etc/dansguardian/exceptionsitelist
%config(noreplace) /etc/dansguardian/exceptionurllist
%config(noreplace) /etc/dansguardian/exceptionuserlist
%config(noreplace) /etc/dansguardian/exceptionvirusextensionlist
%config(noreplace) /etc/dansguardian/exceptionvirusmimetypelist

%config(noreplace) /etc/dansguardian/template.html
%config(noreplace) /etc/dansguardian/pics
%config(noreplace) /etc/dansguardian/weightedphraselist

%dir /etc/dansguardian/phraselists
%dir /etc/dansguardian/phraselists/chat
%config(noreplace) /etc/dansguardian/phraselists/chat/weighted

%dir /etc/dansguardian/phraselists/drugadvocacy
%config(noreplace) /etc/dansguardian/phraselists/drugadvocacy/weighted

%dir /etc/dansguardian/phraselists/dutchbadwords
%config(noreplace) /etc/dansguardian/phraselists/dutchbadwords/weighted

%dir /etc/dansguardian/phraselists/frenchbadwords
%config(noreplace) /etc/dansguardian/phraselists/frenchbadwords/weighted

%dir /etc/dansguardian/phraselists/gambling
%config(noreplace) /etc/dansguardian/phraselists/gambling/weighted
%config(noreplace) /etc/dansguardian/phraselists/gambling/banned

%dir /etc/dansguardian/phraselists/goodphrases
%config(noreplace) /etc/dansguardian/phraselists/goodphrases/weighted
%config(noreplace) /etc/dansguardian/phraselists/goodphrases/exception

%dir /etc/dansguardian/phraselists/gore
%config(noreplace) /etc/dansguardian/phraselists/gore/weighted

%dir /etc/dansguardian/phraselists/illegaldrugs
%config(noreplace) /etc/dansguardian/phraselists/illegaldrugs/weighted
%config(noreplace) /etc/dansguardian/phraselists/illegaldrugs/banned

%dir /etc/dansguardian/phraselists/intolerance
%config(noreplace) /etc/dansguardian/phraselists/intolerance/weighted
%config(noreplace) /etc/dansguardian/phraselists/intolerance/banned

%dir /etc/dansguardian/phraselists/legaldrugs
%config(noreplace) /etc/dansguardian/phraselists/legaldrugs/weighted

%dir /etc/dansguardian/phraselists/personals
%config(noreplace) /etc/dansguardian/phraselists/personals/weighted

%dir /etc/dansguardian/phraselists/pornography
%config(noreplace) /etc/dansguardian/phraselists/pornography/weighted
%config(noreplace) /etc/dansguardian/phraselists/pornography/banned

%dir /etc/dansguardian/phraselists/violence
%config(noreplace) /etc/dansguardian/phraselists/violence/weighted

%dir /etc/dansguardian/phraselists/warezhacking
%config(noreplace) /etc/dansguardian/phraselists/warezhacking/weighted

%dir /etc/dansguardian/phraselists/weapons
%config(noreplace) /etc/dansguardian/phraselists/weapons/weighted

%config(noreplace) /etc/dansguardian/contentregexplist

/etc/dansguardian/languages/ReadMe

%dir /etc/dansguardian/languages/arspanish
%config(noreplace) /etc/dansguardian/languages/arspanish/messages
%config(noreplace) /etc/dansguardian/languages/arspanish/template.html

%dir /etc/dansguardian/languages/chinesebig5
%config(noreplace) /etc/dansguardian/languages/chinesebig5/messages
%config(noreplace) /etc/dansguardian/languages/chinesebig5/template.html

%dir /etc/dansguardian/languages/danish
%config(noreplace) /etc/dansguardian/languages/danish/messages
%config(noreplace) /etc/dansguardian/languages/danish/template.html

%dir /etc/dansguardian/languages/french
%config(noreplace) /etc/dansguardian/languages/french/messages
%config(noreplace) /etc/dansguardian/languages/french/template.html

%dir /etc/dansguardian/languages/german
%config(noreplace) /etc/dansguardian/languages/german/messages
%config(noreplace) /etc/dansguardian/languages/german/template.html

%dir /etc/dansguardian/languages/german2
%config(noreplace) /etc/dansguardian/languages/german2/messages
%config(noreplace) /etc/dansguardian/languages/german2/template.html

%dir /etc/dansguardian/languages/indonesian
%config(noreplace) /etc/dansguardian/languages/indonesian/messages
%config(noreplace) /etc/dansguardian/languages/indonesian/template.html

%dir /etc/dansguardian/languages/italian
%config(noreplace) /etc/dansguardian/languages/italian/messages
%config(noreplace) /etc/dansguardian/languages/italian/template.html

%dir /etc/dansguardian/languages/polish
%config(noreplace) /etc/dansguardian/languages/polish/messages
%config(noreplace) /etc/dansguardian/languages/polish/template.html

%dir /etc/dansguardian/languages/portuguese
%config(noreplace) /etc/dansguardian/languages/portuguese/messages
%config(noreplace) /etc/dansguardian/languages/portuguese/template.html

%dir /etc/dansguardian/languages/turkish
%config(noreplace) /etc/dansguardian/languages/turkish/messages
%config(noreplace) /etc/dansguardian/languages/turkish/template.html

%dir /etc/dansguardian/languages/ukenglish
%config(noreplace) /etc/dansguardian/languages/ukenglish/messages
%config(noreplace) /etc/dansguardian/languages/ukenglish/template.html

%attr(755,nobody,nobody) %dir /var/log/dansguardian

%changelog
* Wed Feb 05 2003 James A. Pattie <james@pcxperience.com>
- Updated to 2.2 release.  My logrotation sleep patch is applied.

* Mon Jan 13 2003 James A. Pattie <james@pcxperience.com>
- Updated to 2.1 release.  My language patch is now applied.

* Fri Dec 13 2002 James A. Pattie <james@pcxperience.com>
- Working on 2.0 release.  Adding support for my language patch.

* Mon Dec 02 2002 James A. Pattie <james@pcxperience.com>
- Updated to cover DG 2.5.3-3

* Wed Nov 27 2002 James A. Pattie <james@pcxperience.com>
- 1.0 release.

* Fri Nov 22 2002 James A. Pattie <james@pcxperience.com>
- finishing up issues related to 1.0rc4 release.

* Fri Nov 01 2002 James A. Pattie <james@pcxperience.com>
- First version of my spec file for building DansGuardian with the AntiVirus
  Plugin applied.

